Package Scientific :: Package QtWidgets :: Module QtPlotCanvas :: Class PolyMarker

[frames] | no frames]

# Class PolyMarker

    PolyPoints --+
                 |
                PolyMarker

Series of markers

Instance Methods

__init__(self, points, **attr) |

draw(self, painter, bbox) |

Inherited from `PolyPoints`: `boundingBox`, `scaleAndShift`, `writeToFile`

Method Details

### __init__(self, points, **attr)
(Constructor)

Parameters:
  - `points` - any sequence of (x, y) number pairs
  - `attr` - marker attributes
  - `width` - the line width for drawing the marker (default: 1)
  - `color` - a string whose value is one of the color names defined by X-Windows (default: `"black"`)
  - `fillcolor` - a string whose value is one of the color names defined in X-Windows, defines the color of the interior of the marker (default: `"black"`)
  - `fillstyle` - a Qt BrushStyle object (default: Qt.SolidPattern)
  - `marker` - one of `'circle'` (default), `'dot'`, `'square'`, `'triangle'`, `'triangle_down'`, `'cross'`, `'plus'`
Overrides: PolyPoints.__init__